/*
 * Copyright (c) 2012, 2014, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 *
 * $Id: TSAppConfig.java 73688 2014-04-29 17:10:23Z supol $
 */
package com.sun.ts.tests.jaxrs.ee.resource.webappexception.mapper;

import java.util.HashSet;
import java.util.Set;

import javax.ws.rs.core.Application;

public class TSAppConfig extends Application {

    public java.util.Set<java.lang.Class<?>> getClasses() {
        Set<Class<?>> resources = new HashSet<Class<?>>();
        resources.add(Resource.class);
        resources.add(DirectResponseUsageResource.class);
        resources.add(ResponseWithNoEntityUsesMapperResource.class);
        resources.add(RuntimeExceptionMapper.class);
        resources.add(WebAppExceptionMapper.class);
        return resources;
    }
}
